> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a list of points per user including given address



## OpenAPI

````yaml https://api.yieldpoint.io/docs/json get /v1/leaderboard/{address}
openapi: 3.0.0
info:
  title: YieldPoint API
  description: ''
  version: 1.1.0
  contact: {}
servers:
  - url: https://api.yieldpoint.io
security: []
tags: []
paths:
  /v1/leaderboard/{address}:
    get:
      tags:
        - Leaderboard
      summary: Returns a list of points per user including given address
      operationId: getLeaderboardForAddress
      parameters:
        - name: address
          required: true
          in: path
          description: The address of the user
          schema:
            type: string
        - name: season
          required: false
          in: query
          description: Season number. Defaults to current season.
          schema:
            example: 1
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaderboardResponse'
components:
  schemas:
    LeaderboardResponse:
      type: array
      items:
        type: object
        properties:
          rank:
            type: number
          user:
            type: string
          totalPoints:
            type: number
          dailyRate:
            type: number
          daysActive:
            type: number
          firstActivityDate:
            type: string
        required:
          - rank
          - user
          - totalPoints
          - dailyRate
          - daysActive
          - firstActivityDate

````